import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconBrandX as IconBrandXClass } from "../../../../components/icon/icons/brand-x.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconBrandX = (props) => {
  IconBrandXClass.define();
  const JSXElement = getReactComponent("gds-icon-brand-x");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconBrandX.displayName = "IconBrandX";
export {
  IconBrandX
};
